WordPress.org

Ready to get started?Download WordPress

Forums

Events Manager
[resolved] Events Manager can't upgrade, blocking site login. (17 posts)

  1. rmatvy
    Member
    Posted 3 years ago #

    So I've been having so many problems with Events Manager since the two most recent versions came out. It is currently not active and I can't activate it until I install 4.0.2. But when I try to load up the admin section of my wordpress site, I can't. I just get a message at the top of the screen that says "Cannot proceed with installation, please upgrade to the version 3.0.96 or higher from here first before upgrading to this version." I cleared my browser's cache, cookies and history, but am still getting the message. I downloaded 4.0.2, but can't install it b/c I can't access my wordpress admin area. Fixing this would not even solve the original problem that I started with, but at least I would be able to access my sight again.

  2. rmatvy
    Member
    Posted 3 years ago #

    Oh, I can't even access my site from the front end, http://www.americanyouthworks.org.

  3. mediacellar
    Member
    Posted 3 years ago #

    I'm having much the same issue, though I can still see the front of my site. For now, I've deleted the plugin via FTP.

  4. Marcus
    NetWebLogic Support
    Plugin Author

    Posted 3 years ago #

    hi, will fix the kill issue in 4.0.3 today but what you can do is delete the plugin folder via FTP and follow these instructions (start by installing your initial version before upgrading and work your way up)

  5. Marcus
    NetWebLogic Support
    Plugin Author

    Posted 3 years ago #

  6. mediacellar
    Member
    Posted 3 years ago #

    Thanks for the walk through, everything's working now.

  7. rmatvy
    Member
    Posted 3 years ago #

    Thank you! I was planning to try that, so I'm glad to hear that worked!

  8. georgetownchimes
    Member
    Posted 3 years ago #

    I'm having the same problem, but am not quite sure how to delete the plug-in via http://ftp...

  9. PatJ
    Member
    Posted 3 years ago #

    I'm having similar trouble and trying to read the help on the plugin's own website is just impossible as the theme there has black text on a black background. Looks horrid and is totally unreadable.

  10. stuartshields
    Member
    Posted 3 years ago #

    patj the theme isn't black. I've tested it on all browsers here.

    I have been through the website documentation to make sure and it looks fine. What browser you using?

  11. rmatvy
    Member
    Posted 3 years ago #

    Mine was in this folder

    /public_html/wp-content/themes/WhiteHousePro/includes/plugins/

    I was able to just go in and select the folder called "Events Manager" and delete it.

    Not sure what your path would be, but I would guess it would be in the themes folder, then whatever theme you have (I'm using WhiteHousePro) and then the "includes" folder and then "plugins."

    I did this and it worked. I want to keep using the Events Manager plugin, but unfortunately 4.0.3 is still not working correctly for me, so I'm going to have to choose a new one I guess. I'm still getting this message: "Events Manager upgrade not complete, please upgrade to the version 3.0.96 or higher first from here first before upgrading to this version." I tried manually uploading 3.0.96 and then upgrading to 4.0.3 and that didn't work. I tried uninstalling and reinstalling. I've tried everything I know of.

    I also can't add any new events, and I think it is b/c my version isn't fully upgraded.

  12. PatJ
    Member
    Posted 3 years ago #

    I'm using standard IE8 and I tried the support site several times last night but it constantly came up with the text as black on black. Headers were OK but text sections were not.

  13. Marcus
    NetWebLogic Support
    Plugin Author

    Posted 3 years ago #

    hi everyone, sorry for late replies, lots happening at once. will get back to these forums asap. however, those with upgrade issues, if you check the website and follow the instructions in some of my latest posts you should be fine (I've done this for several clients now).

    http://wp-events-plugin.com/news/upgrade-issues-screencast-walkthrough/
    should fix upgrade issues from 3-4

    Apologies for the upgrade issues, for no known reason, the wp SVN jumped to version 4 early causing all sorts of issues as it wasn't fully testesd (pitfalls of free development).

  14. webmystery
    Member
    Posted 3 years ago #

    My problems with the upgrade and how I got my events back: I tried following the instructions linked above but got fatal errors when trying to activate version 3.0.96. I don't know which version I had installed prior to hosing my install with the automatic upgrade to 4.x becasue I had previously used an automatic update. I tried downgrading to the version 2.1 that I had originally installed manually, but that wasn't showing me my latest events (it was reading the wp-dbem-events table but my latest events were in wp-em-events). I tried importing wp-em-events to wp-dbem-events through phpMyAdmin and I got an error about a column mismatch, so I figured there had been a database upgrade in whatever version I had installed between 2.1 and 3.0.96. I took a wild guess and installed 3.0.1. With the exception of the easily repairable screw up in detecting my events page and turning off the 'Show event page in lists' checkbox (which should be on), switching to 3.0.1 worked pretty well. Guess what... It is working now so I ain't gonna 'fix' it and try to install any more "upgrades". This is for a non-profit site I help maintain as a volunteer an I don't have a lot of extra time to screw around. This kind of adventure is why I had let this plugin get so out dated in the first place. I get real squeamish about running updates after this kind of thing happens. PS: thanks for the video, but I'd much rather read written instructions than watch a video - I think it is because it is harder to skip ahead over the parts that I don't need explained to me in a video.

  15. Marcus
    NetWebLogic Support
    Plugin Author

    Posted 3 years ago #

    well, we do our best but given you're one of the few this doesn't work for its the sort of thing we will help pro users with this.

    we're giving verifyiable non-profits 1/3 off (so $50), we'd happily help you upgrade in this kind of instance. if interested email us via the contact form, as we don't have an automatic way of doing this yet (hence no announcements).

  16. barthulley
    Member
    Posted 3 years ago #

    had 2.2.2 installed - tried upgrading to 3.0 then 3.8 - but it thought that 3.8 was 4.8 ... tried deleting all the tables in phpmyadmin (dbem and em prefixed) so I could do a fresh install - but I still get the "Events Manager upgrade not complete, please upgrade to the version 3.0.96 or higher first from here first before upgrading to this version. We made a screencast to help you out." message - any ideas.

    I just want a fresh clean install - forget the upgrade, it's too late.
    Any ideas?

  17. Marcus
    NetWebLogic Support
    Plugin Author

    Posted 3 years ago #

    yes, in wp_options, just delete all instances of dbem_....

    specifically dbem_version, if you'd like to keep your old settings, that's the only real setting that affects installation

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic